Admin Put Hardware Config
curl --request PUT \
--url https://{host}/api/admin/hardware/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"series": [],
"profiles": []
}
'import requests
url = "https://{host}/api/admin/hardware/config"
payload = {
"series": [],
"profiles": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({series: [], profiles: []})
};
fetch('https://{host}/api/admin/hardware/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"series": [],
"profiles": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}整体覆盖卡型/profile 配置。校验→(影响面确认)→落库+多实例失效+审计。
PUT
/
api
/
admin
/
hardware
/
config
Admin Put Hardware Config
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
请求体
application/json